Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.medicalagreement.core.v1
Class Acknowledgetype

    java.lang.Object
      be.fgov.ehealth.medicalagreement.core.v1.Acknowledgetype

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:32:28+02:00",
               comments="JAXB RI v2.2.11")
    public class Acknowledgetype

extends Object
implements Serializable

Java class for acknowledgetype complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="acknowledgetype">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="iscomplete" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="error" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}errorType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="warning" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}errorType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Acknowledgetype()`

Method Summary
`List<ErrorType>` | `getErrors()` Gets the value of the errors property.
`List<ErrorType>` | `getWarnings()` Gets the value of the warnings property.
`boolean` | `isIscomplete()` Gets the value of the iscomplete property.
`void` | `setIscomplete(boolean value)` Sets the value of the iscomplete property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Acknowledgetype

    public Acknowledgetype()

Method Detail

### isIscomplete

    public boolean isIscomplete()

  Gets the value of the iscomplete property.

### setIscomplete

    public void setIscomplete(boolean value)

  Sets the value of the iscomplete property.

### getErrors

    public List<ErrorType> getErrors()

  Gets the value of the errors property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the errors property.

  For example, to add a new item, do as follows:

          getErrors().add(newItem);

  Objects of the following type(s) are allowed in the list `ErrorType`

### getWarnings

    public List<ErrorType> getWarnings()

  Gets the value of the warnings property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the warnings property.

  For example, to add a new item, do as follows:

          getWarnings().add(newItem);

  Objects of the following type(s) are allowed in the list `ErrorType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.